Bug 1869961 - An error about absence of knative route is thrown while deletion of knative service
Summary: An error about absence of knative route is thrown while deletion of knative s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1866214
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-19 06:30 UTC by Jaivardhan Kumar
Modified: 2020-09-09 10:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Explicitly UI tries to delete knative Routes if knative service is deleted Consequence: If user choose to remove that application with knative service, it succeeds but an error is thrown intermittently as even KSVC tried to delete all associated resources i.e CFG, REV, Route etc so there could be race condition Fix: Delete just knative Service and it'll handle deletion of all associated resources i.e Routes Result: User can delete Knative service without observing an alert in UI
Clone Of: 1866214
Environment:
Last Closed: 2020-09-08 10:54:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6367 None closed Bug 1869961: Delete only KSVC, not Route associated with KSVC 2020-09-23 08:35:57 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:55:15 UTC

Comment 4 errata-xmlrpc 2020-09-08 10:54:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.